# GENERAL DATA
quarkus.log.level=INFO

# the list of the admins with their login or email seperated with a ;
# example :
# admin=tbouriaud;vlequec;jdouet;jean-michel.richer@univ-angers.fr;vincent.barichard@univ-angers.fr
admin.list=tesla
# the admin login is a user we add. Its default login is "admin" but you can uncomment this line personify its login.
#admin.login=admin
admin.password=password

# LDAP
# ldapsearch -x -D 'uid=tbouriaud,ou=people,dc=univ-angers,dc=fr' -W -H ldap://ldap.univ-angers.fr:389/ -b 'dc=univ-angers,dc=fr' 'uid=tbouriaud'
ldap.url=ldap://ldap.forumsys.com:389/
ldap.search-base-dn=dc=example,dc=com
ldap.filter-dn=dc=example,dc=com

# JWT
quarkus.smallrye-jwt.enabled=true
mp.jwt.verify.publickey.location=public.pem
smallrye.jwt.sign.key-location=private.pem
# duration in seconds
smallrye.jwt.duration=14400

# HTTPS CONFIG
quarkus.http.cors=true

# LOGGING CONFIG
quarkus.log.file.enable=true
quarkus.log.file.path=quarkus.log
quarkus.log.file.level=INFO
quarkus.log.file.format=%d{HH:mm:ss} %-5p [%c{4.}] (%t) %s%e%n

# DATABASE CONFIG
quarkus.datasource.jdbc.url=jdbc:postgresql://database:5432/api
quarkus.datasource.db-kind=postgresql
quarkus.hibernate-orm.dialect=org.hibernate.dialect.PostgreSQLDialect
quarkus.datasource.username=postgres
quarkus.datasource.password=postgres
quarkus.hibernate-orm.log.sql=false
quarkus.hibernate-orm.database.generation=none
quarkus.hibernate-orm.sql-load-script=no-file
